package com.javaseleniumtemplate.pages;


import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.testng.Assert;

public class AlteracaodeComensaisdoCardapioPage extends PageBase {
    By Inicio = By.xpath("//*[@class = 'navbar-brand zh-header-title has-header-info']");
    By clicaMenu = By.xpath("//*[@type = 'button']");
    By pesquisaTela = By.xpath("//section[@class = 'zh-container-search-menu']/input");
    By selecionaTela = By.xpath("//span[text() = 'Alteração de Comensais do Cardápio']");
    By alteracaoComensaisCardapio = By.xpath("//div[text() = 'Alteração de Comensais do Cardápio']");
    By limpaFiltroUnidade = By.xpath("//div[@id = 'NMFILIAL']//span[@zh-icon='no-border close-x']");
    By buscaUnidade = By.xpath("//div[@id = 'NMFILIAL']//span[@zh-icon='no-border search']");
    By informaBusca = By.xpath("//*[@id= 'popup']/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input");
    By selecionaBusca = By.xpath("//div[@class = 'tr cell1']");
    By buscaServico = By.xpath("//div[@id = 'NMSERVICO']//span[@zh-icon='no-border search']");
    By btnCalendario = By.xpath("//span[@zh-icon='no-border calendar']");
    By dataAnteriorProcessamento = By.xpath("//div[text() = '2']");
    By diaAtual = By.xpath("//div[@class = 'day today']");
    By diaAlteracaoComensais = By.xpath("//div[@class = 'day']//div[text() = '4']");
    By limpaData = By.xpath("//div[@class = 'zh-select-date zh-field-DTCARDAPIO']//span[@class = 'zh-icon zh-icon-close-x zh-icon-no-border']");
    By btnAplicarFiltro = By.xpath("//span[text() = 'Aplicar filtro']");
    By btnOk = By.xpath("//*[@class = 'zh-alert-button']");
    By qtdClientes = By.xpath("//input[@id = 'QTCLIESTICAR']");
    By clicaTela = By.xpath("//div[@class = 'body-content']");
    By qtdFuncionarios = By.xpath("//input[@id = 'QTFUNESTICAR']");
    By qtdDoacao = By.xpath("//input[@id = 'QTDOAESTICAR']");
    By abaCardapio = By.xpath("//a[text() = 'Cardápio']");
    By abaTurno = By.xpath("//a[text() = 'Turno']");
    By abaPontoDeEntrega = By.xpath("//a[text() = 'Ponto de Entrega']");
    By confirmaAlteracao = By.xpath("//*[@class = 'zh-alert-button horizontal']//span[text() = 'Sim']");
    By qtdPrimeiroTurno = By.xpath("//div[@class = 'tr cell1']//*[@class = 'editable-content']");
    By insereQtdPrimeiroTurno = By.xpath("//*[@id='grid-19875316713070198943715']/div[2]/div/div[1]/div[3]/div/input");
    By qtdSegundoTurno = By.xpath("//div[@class = 'tr cell2']//*[@class = 'editable-content']");
    By insereQtdSegundoTurno = By.xpath("//*[@id='grid-19875316713070198943715']/div[2]/div/div[2]/div[3]/div/input");
    By qtdComensalPontoEntrega = By.xpath("//*[@class = 'editable-content']");
    By insereQtdPontoEntrega = By.xpath("//*[@id='grid-1987531671936914453721']/div[2]/div/div/div[4]/div/input");
    By btnSalvarAlteracoes = By.xpath("//*[text() = 'Salvar alterações']");
    By qtdComensalPrato = By.xpath("//*[@id='grid-19875316711647528152707']/div[2]/div/div[1]/div[5]/div");
    By insereNovaQtdPrato = By.xpath("//*[@id='grid-19875316711647528152707']/div[2]/div/div[1]/div[5]/div/input");
    By novaQtdPrato = By.xpath("//*[@id='grid-19875316711647528152707']/div[2]/div/div[1]/div[5]/span");
    By retornaQtdPrimeiroTuro = By.xpath("//*[@id='grid-19875316713070198943715']/div[2]/div/div[1]/div[3]/span");
    By retornaQtdSegundoTuro = By.xpath("//*[@id='grid-19875316713070198943715']/div[2]/div/div[2]/div[3]/span");
    By btnCancelar = By.xpath("//span[text() = 'Cancelar']");

    public void acessaTelaAlteracaoComensais(){
        tempo();
        waitForElement(Inicio);
        tempo();
        click(clicaMenu);
        tempo();
        click(pesquisaTela);
        clearAndSendKeys(pesquisaTela,"Alteração de Comensais do Cardápio");
        tempo();
        click(selecionaTela);
        tempo();
        waitForElement(alteracaoComensaisCardapio);
        tempo();

    }
    public void realizaFiltro(){
        click(limpaFiltroUnidade);
        tempo();
        click(buscaUnidade);
        tempo();
        click(informaBusca);
        clearAndSendKeys(informaBusca,"0002");
        tempo();
        click(selecionaBusca);
        tempo();
        click(buscaServico);
        tempo();
        click(informaBusca);
        clearAndSendKeys(informaBusca,"00002");
        tempo();
        click(selecionaBusca);
        tempo();
        click(btnCalendario);
        tempo();
        click(dataAnteriorProcessamento);
        tempo();
        click(btnAplicarFiltro);
        tempo();
        click(btnOk);
        tempo();
        click(limpaData);
        click(btnCalendario);
        tempo();
        click(diaAtual);
        tempo();
        click(btnAplicarFiltro);
        tempo();
        click(btnOk);
        click(limpaData);
        click(btnCalendario);
        tempo();
        click(diaAlteracaoComensais);
        tempo();
        click(btnAplicarFiltro);
        tempo();
    }

    public void alteraComensaisCliente(String QTDCLIENTE, String QTDTURNOMANHA, String QTDTURNOTARDE, String QTDPONTOENTREGA){
        tempo();
        click(qtdClientes);
        clearAndSendKeys(qtdClientes,QTDCLIENTE);
        tempo();
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdPrimeiroTurno);
        clearAndSendKeys(insereQtdPrimeiroTurno,QTDTURNOMANHA);
        tempo();
        click(qtdSegundoTurno);
        clearAndSendKeys(insereQtdSegundoTurno,QTDTURNOTARDE);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(btnOk);
        tempo();
        click(qtdComensalPontoEntrega);
        clearAndSendKeys(insereQtdPontoEntrega,QTDPONTOENTREGA);
        click(clicaTela);
        click(btnSalvarAlteracoes);
        tempo();

    }

    public void alteraComensaisFuncionarios(String QTDCOMFUNC, String QTDTURNOMANHA, String QTDTURNOTARDE, String QTDPONTOENTREGA){
        tempo();
        click(qtdFuncionarios);
        clearAndSendKeys(qtdFuncionarios,QTDCOMFUNC);
        tempo();
        click(clicaTela);
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdPrimeiroTurno);
        clearAndSendKeys(insereQtdPrimeiroTurno,QTDTURNOMANHA);
        tempo();
        click(qtdSegundoTurno);
        clearAndSendKeys(insereQtdSegundoTurno,QTDTURNOTARDE);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(btnOk);
        tempo();
        click(qtdComensalPontoEntrega);
        clearAndSendKeys(insereQtdPontoEntrega,QTDPONTOENTREGA);
        click(clicaTela);
        click(btnSalvarAlteracoes);
        tempo();
        click(abaTurno);
        tempo();
        click(abaCardapio);
        tempo();
    }

    public void alteraComensaisDoacao(String QTDCOMDOACAO, String QTDTURNOMANHA, String QTDTURNOTARDE, String QTDPONTOENTREGA){

        tempo();
        click(qtdDoacao);
        clearAndSendKeys(qtdDoacao,QTDCOMDOACAO);
        tempo();
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdPrimeiroTurno);
        clearAndSendKeys(insereQtdPrimeiroTurno,QTDTURNOMANHA);
        tempo();
        click(qtdSegundoTurno);
        clearAndSendKeys(insereQtdSegundoTurno,QTDTURNOTARDE);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(btnOk);
        tempo();
        click(qtdComensalPontoEntrega);
        clearAndSendKeys(insereQtdPontoEntrega,QTDPONTOENTREGA);
        click(clicaTela);
        click(btnSalvarAlteracoes);
        tempo();
        click(abaTurno);
        tempo();
        click(abaCardapio);
        tempo();

    }

    public void alterarComensaisDoPrato(){
        tempo();
        click(qtdComensalPrato);
        tempo();
        clearAndSendKeys(insereNovaQtdPrato,"0");
        tempo();
        click(clicaTela);
        tempo();
        click(btnOk);
        tempo();
        click(qtdComensalPrato);
        clearAndSendKeys(insereNovaQtdPrato,"40");
        tempo();
        click(btnSalvarAlteracoes);
        tempo();

    }

    public void validaComensaisZerados(){
        click(qtdDoacao);
        clearAndSendKeys(qtdDoacao,"0");
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdFuncionarios);
        clearAndSendKeys(qtdFuncionarios,"0");
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdClientes);
        clearAndSendKeys(qtdClientes,"0");
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdComensalPrato);
        clearAndSendKeys(insereNovaQtdPrato,"0");
        click(clicaTela);
        tempo();
        click(btnOk);
        tempo();
        click(btnCancelar);
        tempo();
        click(qtdDoacao);
        clearAndSendKeys(qtdDoacao,"1");
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        click(btnOk);
        click(qtdFuncionarios);
        clearAndSendKeys(qtdFuncionarios,"1");
        click(clicaTela);
        click(confirmaAlteracao);
        click(btnOk);
        tempo();
        click(qtdClientes);
        clearAndSendKeys(qtdClientes,"1");
        click(clicaTela);
        tempo();
        click(confirmaAlteracao);
        tempo();
        click(btnOk);
        tempo();
        click(qtdPrimeiroTurno);
        clearAndSendKeys(insereQtdPrimeiroTurno,"2");
        click(qtdSegundoTurno);
        clearAndSendKeys(insereQtdSegundoTurno,"1");
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(btnOk);
        tempo();
        click(abaPontoDeEntrega);
        tempo();
        click(qtdComensalPontoEntrega);
        clearAndSendKeys(insereQtdPontoEntrega,"3");
        tempo();
        click(clicaTela);
        click(btnSalvarAlteracoes);
        tempo();

    }

    public String retornaNovoComensalPrato(){
        return getText(novaQtdPrato);
    }




}
